---
title: Get
url: https://www.tines.com/docs/api/stories/events/get/
updated: 2026-03-09T14:32:39+00:00
description: Retrieve an event.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Events](https://www.tines.com/llm/docs/api/stories/events.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/stories/events/get/)*

## Description

Retrieve an event.

## Request

HTTP Method: **GET**

| Parameter | Description                      |
| --------- | -------------------------------- |
| event_id  | The ID of the event to retrieve. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/events/<<event_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object representing the specified event.

### Field description

| Parameter           | Description                                                                                                        |
| ------------------- | ------------------------------------------------------------------------------------------------------------------ |
| id                  | Event ID.                                                                                                          |
| agent_id            | ID of action that emitted the event.                                                                               |
| payload             | JSON representation of the event payload.                                                                          |
| created_at          | ISO 8601 Timestamp representing date and time the event was emitted.                                               |
| updated_at          | ISO 8601 Timestamp representing date and time the event was last updated. Will always be the same as 'created_at'. |
| story_run_guid      | Unique identifier of that event's story run.                                                                       |
| previous_events_ids | IDs of the upstream action's events in that event's story run.                                                     |
| re_emitted          | Boolean flag indicating whether this event has been re-emitted.                                                    |

### Sample response

<!-- cspell:disable -->

```json
{
  "id": 1785421735,
  "user_id": 1,
  "agent_id": 21,
  "payload": {
    "propagation_webhook": {
      "username": "joe.bloggs",
      "age": 99
    },
    "delay_http_request": {
      "body": {
        "delay": "5"
      },
      "headers": {
        "access-control-allow-credentials": "",
        "access-control-allow-headers": "",
        "access-control-allow-methods": "",
        "access-control-allow-origin": "",
        "access-control-expose-headers": "",
        "content-type": "application/json; charset=utf-8",
        "date": "Tue, 03 Apr 2018 13:37:24 GMT",
        "etag": "W/\"d-N6WkUL2Jgn7fCGyPWbbptw\"",
        "server": "nginx",
        "set-cookie": "sails.sid=s%3A6Hr22AAbEOurnGiqRo3; Path=/; HttpOnly",
        "vary": "Accept-Encoding",
        "content-length": "13",
        "connection": "Close"
      },
      "status": 200
    }
  },
  "created_at": "2018-04-03T13:37:24.479Z",
  "updated_at": "2018-04-03T13:37:24.479Z",
  "story_run_guid": "d59cd024-38b2-4287-b298-a8ee8dc86863",
  "previous_events_ids": [1785155927],
  "re_emitted": false
}
```

<!-- cspell:enable -->
